/*
    Crossbrowser requestAnimationFrame.
    Credit: Paul Irish
*/

if (!window.requestAnimationFrame) {
    window.requestAnimationFrame = (function () {
        return
            window.webkitReuqestAnimationFrame ||
            window.mozRequestAnimationFrame ||
            window.oRequestAnimationFrame ||
            window.msRequestAnimationFrame ||
            function (callback, element) {
                window.setTimeout(callback, 1000/60);
            };
    })();
}
